IPCCE versions and its relation to ICM components

Unanswered Question
Oct 7th, 2007
User Badges:

Hi List;


When we are saying that the IPCCE is version 7.1 then that means the ICM is version 7.1 or what exactly? And when we say that ICM ver is 7.1 then that means router, logger, AW, webview versions are also 7.1? Could it be that ICM ver is 7.1 and webview ver to be 4.1?


Any help?

Regards

Bilal

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (2 ratings)
Loading.
Chris Deren Sun, 10/07/2007 - 10:00
User Badges:
  • Super Silver, 17500 points or more
  • Hall of Fame,
  • Cisco Designated VIP,

    2017 IP Telephony, Contact Center, Unified Communications

Correct, all ICM (Logger/Router/AW/PG/HDS)components are version 7.1. The only other IPCC components are CallManager and IP-IVR or CVP which will obviuosly be their own versions.


HTH,


Chris

bilalghayad Sun, 10/07/2007 - 17:31
User Badges:

Thanks a lot Chris for your kindly help.


Is it possible that someone use the CD for IPCC 7.1 to install the router+logger and then use the CD for IPCC 7.0 to install the PG? The system will accept that?


Is there a line command I can type it to determine the ICM component versions (logger, router, HDS, AWD, PG's) or a command to determine the ICM version it self?


Last thing, about webview: is it the same version of the ICM (as we select it with the AWD installation)? Or it has another version series?


Your kindly help is high appreciated.

Regards

Bilal

jeff.marshall Sun, 10/07/2007 - 19:26
User Badges:

The Installation media is all version 7.0. Minor and Maintanece releases are installed afterwards. The easiest way to determine major/minor and maintanence release versions is to look in the server's control panel >> Add/Remove programs and the patches are listed there.


There are other file and regisry entries available to look at if the Add/Remove program entries are corrupted.


The ICM Central Controller (Logger and Call Routers) and all AW derivatives (AW, HDS & Webveiw) have to be the same version/build (e.g. 7.1.5) but PGs can be the same or lower ICM versions within scope.


Webview is the same version scheme.


/Jeff

bilalghayad Sun, 10/07/2007 - 23:53
User Badges:

So it is possible to install ICM elements from one media CD except the PGs to be from another media CD with lower than ICM version, correct?


The versions can be captured from the registry or there are another files to determine the versions?


Regards

Bilal

david.macias Mon, 10/08/2007 - 05:59
User Badges:
  • Blue, 1500 points or more

Yes, it's possible to install 7.1 and 7.0 pieces, but things will not work like you expect them.



david

adignan Mon, 10/08/2007 - 06:45
User Badges:
  • Blue, 1500 points or more

- Duplexed Central Controllers two full versions (Routers and Loggers) must be the same software release. At no time do you want both sides (A and B) of the Central Controller to be started while at different versions. Refer to the ICM Upgrade Timeframes and third-party software table for the recommended sequence of events, which allow for minimal interruption during your upgrade.


- Duplexed PGs must be the same release. At no time do you want both sides (A and B) of a PG to be started while at different versions. Please refer to the ICM Upgrade Timeframes table for the recommended sequence of events, which allow for minimal interruption during your upgrade.


- AW and HDS must be upgraded to the same revision as the Central Controllers in order to operate. For planning purposes, these servers must be upgraded during the same maintenance window as the Central Controllers. They are not functional if they are a version behind the Router and Logger.


- PGs are backwards compatible. A PG continues to operate when it is one version behind the Central Controller. This is designed to allow you reasonable time to finish upgrading the PGs without disruption of service. It is strongly recommended that all ICM nodes be at the same ICM release, and this must be as short term as possible.


adignan - berbee


please rate helpful posts

bilalghayad Wed, 10/24/2007 - 01:38
User Badges:

Dear Adignan;


Thanks a lot for the great help and nice reply.


I am also looking for documents to help me in the upgrade for the IPCC (enterprise) contains information about the steps and the compatibility matrix between (IPIVR, CallManager, VoiceGateway and the ICM). So can you direct me? Also, where I can get the ICM ICM upgrade timeframes table for recommeneded sequences?


From the othe side, do u know if callmanager ver 7 is linux or windows and what is the latest callmanager version now?


Again, you kindly help is high appreciated and thanks alot for your greate support.

Actions

This Discussion